var auth = require('everyauth');
require('./Auth/FacebookAuthentication');


module.exports = function EnvironmentConfiguration(server, express, httpClient){

	server.set('view engine', 'jade');
	server.set('view options', { layout: false });

	server.use('/Content', express.static(__dirname + '/Content'));
	server.use('/Scripts', express.static(__dirname + '/Scripts'));

	var facebookAuth = new FacebookAuthentication();
	facebookAuth.Setup(auth);

	server.use(auth.middleware());

	auth.helpExpress(server);

	var routes = require('./Routes')(server, httpClient);
}