var azure = require('azure');

PhotosRepository = function(){
	this.storageAccount = 'sosenchente';
	this.storageKey = "+FVxKre69tDFvxQP7vqY5IX8WtkSPeAuuUwtpQ4NR9V0l1LLMv4BCHtkPiPgiUCNe4i8i053fdDRY+qTSOuqyw==";
	this.containerName = 'photos';
}

PhotosRepository.prototype = {
	CreateBlobServiceClient: function(){
		var blobServiceClient = azure.createBlobService(this.storageAccount, 
														this.storageKey, 
														azure.ServiceClient.CLOUD_BLOB_HOST);

		return blobServiceClient;
	},

	Setup: function(onCreateContainerCompleted){
		var blobClient = this.CreateBlobServiceClient();

		var blobContainerOptions = {publicAccessLevel: azure.Constants.BlobConstants.BlobContainerPublicAccessType.BLOB};

		blobClient.createContainerIfNotExists(this.containerName, 
											  blobContainerOptions, 
											  onCreateContainerCompleted);
	},

	UploadPhoto: function(filePath, folderName, fileName, description, contentType, onBlobUploadCompleted){
		var blobName = folderName + '/' + fileName;

		var blobCreationOptions = {
			'metadata': {'description': description},
			'contentType': contentType
		};

		var blobClient = this.CreateBlobServiceClient();

		blobClient.createBlockBlobFromFile(this.containerName, 
											blobName, 
											filePath, 
											blobCreationOptions, 
											onBlobUploadCompleted);

		return 'http://' + this.storageAccount + '.blob.core.windows.net/' + this.containerName + '/'+ blobName;
	}
}