var express = require('express');
var http = require('http');
var form = require('connect-form');

var server = express.createServer(express.bodyParser({uploadDir: './Uploads'}), 
								  express.favicon(),
								  express.cookieParser(),
								  express.session({secret: 'breno'}),
								  form({keepExtensions: true}));

var httpClient = http.createClient(80);
var environmentConfiguration = require('./EnvironmentConfiguration')(server, express, httpClient);

server.listen(8080);

console.log('Server listening  at localhost:8080');
